git » core-pkgbuilds.git » commit 02077ff

Update for asignify + -dbginfo- as the debug pkg suffix

author Urja (ARMLFS builder)
2024-06-22 10:09:31 UTC
committer Urja (ARMLFS builder)
2024-06-22 10:09:31 UTC
parent 239bee977a8fd76878a8b14f18792af3c4cdee4a

Update for asignify + -dbginfo- as the debug pkg suffix

bsbot.py +1 -1
git-it-up.sh +53 -0
o1 +0 -2
order +1 -0

diff --git a/bsbot.py b/bsbot.py
index 595ac5f..b7ded68 100755
--- a/bsbot.py
+++ b/bsbot.py
@@ -135,7 +135,7 @@ for pkgline in pkgs:
     with os.scandir() as it:
         for e in it:
             if e.name.endswith('.pkg.tar.xz') and e.is_file():
-                if "-debug-" not in e.name:
+                if "-debug-" not in e.name and "-dbginfo-" not in e.name:
                     pacu_pkgs.append(e.name)
                 repo_pkgs.append(e.name)
     # Do a single pacman-U call so that inter-pkg dependencies are resolved
diff --git a/git-it-up.sh b/git-it-up.sh
new file mode 100755
index 0000000..407e04d
--- /dev/null
+++ b/git-it-up.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+set -e
+
+if [ "$(whoami)" != "builder" ]; then
+	echo "Will re-exec self ($0) as builder"
+	sleep 0.2s
+	L="$@"
+	exec su builder -c "$0 $L"
+fi
+
+gititup() {
+	cd $1
+pkgver=$(grep "pkgver=" PKGBUILD | head -1 | cut -d '=' -f 2)
+	echo $1 $pkgver
+	[ -e .githidden ] && mv .githidden .git
+	if [ ! -e .gitignore ]; then
+	cat > .gitignore << "EOF"
+/src/
+/pkg/
+EOF
+	fi
+	if [ -e .git ]; then
+		BRANCH="$(git branch --show-current)"
+		if [[ -z "$BRANCH" ]]; then
+			if git branch | grep -q main; then
+				git branch -m main arch-main
+			fi
+			git switch -c main
+		fi
+		if [[ -n "$(git status --porcelain)" ]]; then
+			git add .
+			git commit -m "$1 $pkgver"
+		else
+			echo "No changes to $1"
+		fi
+	else
+		git init .
+		git add .
+		git commit -m "Initial $1 $pkgver"
+	fi
+}
+
+L="$@"
+if [[ -z "$L" ]]; then
+	L="$(find -mindepth 1 -maxdepth 1 -type d)"
+fi
+
+for d in $L; do
+	d=$(basename $d)
+	if [[ -O "$d" ]] && grep -q $d order; then
+		(gititup $d)
+	fi
+done
diff --git a/o1 b/o1
deleted file mode 100644
index 4371e5d..0000000
--- a/o1
+++ /dev/null
@@ -1,2 +0,0 @@
-libisl
-gcc
diff --git a/order b/order
index 2610740..a1d5155 100644
--- a/order
+++ b/order
@@ -86,6 +86,7 @@ e2fsprogs
 libarchive
 curl
 fakeroot
+asignify
 pacman
 debugedit
 libtasn1